AI Content Optimization API – URL input
API endpoint → https://api.seoreviewtools.com/ai-content-optimization/
Example API call → https://api.seoreviewtools.com/ai-content-optimization/?url=https://www.seroundtable.com/google-showing-more-links-ai-mode-41245.html&key=YOUR-API-KEY
Price: 1 credits per request
Description: Discover how well an article is structured for AI and LLM retrieval (GEO). Get clear, actionable insights to optimize your content for better visibility and retrieval across large language models.
Query string parameters
| Name | Parameter | Description |
|---|---|---|
| Key | &key= | Your private API key |
Response elements
| Category | Name |
|---|---|
| content citability ↴ | |
| readability | |
| freshness | |
| top-of-page content | |
| faq content | |
| table of contents | |
| in-content tags | |
| meta data ↴ | |
| title tag | |
| meta description | |
| semantic structure ↴ | |
| headings | |
| table and list elements | |
| content depth | |
| links | |
| media ↴ | |
| images and video |
AI Content Score interpretation
This overview shows how you should interpret the AI content score, returned by the API.
| Score | Description |
|---|---|
| 75% – 100% | The content is well optimized for AI. |
| 51% – 74% | The content needs work to improve its visibility potential in AI |
| 0% – 50% | The content is poorly optimized for AI |
Feedback classes
The element specific feedback classes are designed to help you structure and visually style the output for the end users.
| Feedback class name | Description |
|---|---|
| positive | Element is optimized for AI |
| negative | Element is NOT optimized for AI |
| couldhave | Element can be further optimized for AI |
Tool: AI Content Optimization Checker
PHP code example
<?php
/*
API documentation for SEO Review Tools.
API info: https://www.seoreviewtools.com/seo-api/
API documentation: https://api.seoreviewtools.com/documentation/
LinkedIn: https://www.linkedin.com/company/seo-review-tools
*/
// input URL
$inputUrl = 'https://www.seroundtable.com/google-showing-more-links-ai-mode-41245.html';
// API key
$apiKey = 'YOUR-API-KEY';
// specific API url
$apiRequestUrl = 'https://api.seoreviewtools.com/ai-content-optimization/?url='.urlencode($inputUrl).'&key='.$apiKey;
// get data from API
$jsonReposnse = file_get_contents($apiRequestUrl);
// convert JSON to PHP array
$dataArray = json_decode($jsonReposnse, true);
// check if API call is success or failed
// (just some basic validation)
// API call fail
if ($dataArray['status'] !== 'ok'){
// return error message
echo 'Error message: '.$dataArray['error message'];
// API call success
} else {
// print data
print_r($dataArray);
}
?>
cURL code example
curl -G "https://api.seoreviewtools.com/ai-content-optimization/" \
--data-urlencode "url=https://www.seroundtable.com/google-showing-more-links-ai-mode-41245.html" \
--data-urlencode "key=YOUR-API-KEY"
Python code example
# API documentation for SEO Review Tools.
# API info: https://www.seoreviewtools.com/seo-api/
# API documentation: https://api.seoreviewtools.com/documentation/
# LinkedIn: https://www.linkedin.com/company/seo-review-tools
import requests
# API key
apiKey = 'YOUR-API-KEY'
# input URL
inputUrl = 'https://www.seroundtable.com/google-showing-more-links-ai-mode-41245.html'
# API URL (Fixed syntax)
toolRequestUrl = 'https://api.seoreviewtools.com/ai-content-optimization/?url=' + inputUrl + '&key=' + apiKey
# Perform request
r = requests.request("GET", toolRequestUrl)
print(r.text)
JSON response example
Ready to start testing the AI Content Optimization API – URL input endpoint? Get your API Key →
Trusted by →
